Skip to main content
GET
List Batches

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Batches to return (1-100).

Required range: 1 <= x <= 100
after
string | null

Cursor: return the batches created before this batch id (the previous page's last_id).

Response

Successful Response

A page of the caller's batches, newest first.

data
BatchObject · object[]
required

The batches on this page.

has_more
boolean
required

Whether more batches follow this page.

object
string
default:list

Always list.

Allowed value: "list"
first_id
string | null

The id of the first batch on the page.

last_id
string | null

The id of the last batch on the page: pass it as after for the next.